Bug 1279202 (gifticlib) - Review Request: gifticlib - IO library for the GIFTI cortical surface data format
Summary: Review Request: gifticlib - IO library for the GIFTI cortical surface data fo...
Keywords:
Status: CLOSED ERRATA
Alias: gifticlib
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro openmeeg
TreeView+ depends on / blocked
 
Reported: 2015-11-08 15:24 UTC by Igor Gnatenko
Modified: 2015-12-09 20:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-09 20:50:52 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-11-08 15:24:39 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/gifticlib.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/gifticlib-1.0.9-1.fc24.src.rpm
Description:
GIFTI is an XML-based file format for cortical surface data. This reference
IO implementation is developed by the Neuroimaging Informatics Technology
Initiative (NIfTI).
This package also provides the tools that are shipped with the GIFTI library
(gifti_tool and gifti_test).
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-29 14:48:05 UTC
Please use the full patch to Source1: http://anonscm.debian.org/cgit/pkg-exppsy/gifticlib.git/plain/debian/gifti_test.1.

About the name: upstream uses both gitfi and gifticlib, the tarball itself is uses gifticlib. Debian also uses gitfticlib. Cross-distro coordination is good, so gitficlib is a better name then gifti. But please add Provides: gifti, to make it easier to install.

Everything is fine, package is APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 14 files have unknown license. Detailed
     output of licensecheck in /var/tmp/1279202-gifticlib/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     gifticlib-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: gifticlib-1.0.9-1.fc24.i686.rpm
          gifticlib-devel-1.0.9-1.fc24.i686.rpm
          gifticlib-debuginfo-1.0.9-1.fc24.i686.rpm
          gifticlib-1.0.9-1.fc24.src.rpm
gifticlib.i686: W: spelling-error %description -l en_US gifti -> gift, gifts, gift i
gifticlib.i686: W: no-manual-page-for-binary gifti_tool
gifticlib.src: W: spelling-error %description -l en_US gifti -> gift, gifts, gift i
4 packages and 0 specfiles checked; 0 errors, 3 warnings.


Requires
--------
gifticlib-devel (rpmlib, GLIBC filtered):
    gifticlib(x86-32)
    libgiftiio.so.0

gifticlib (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6
    libexpat.so.1
    libgiftiio.so.0
    libm.so.6
    libniftiio.so.2
    libz.so.1
    libznz.so.2
    rtld(GNU_HASH)

gifticlib-debuginfo (rpmlib, GLIBC filtered):

Provides
--------
gifticlib-devel:
    gifticlib-devel
    gifticlib-devel(x86-32)

gifticlib:
    gifticlib
    gifticlib(x86-32)
    libgiftiio.so.0

gifticlib-debuginfo:
    gifticlib-debuginfo
    gifticlib-debuginfo(x86-32)

Comment 2 Till Maas 2015-11-29 16:26:11 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/gifticlib

Comment 3 Fedora Update System 2015-11-29 17:00:58 UTC
gifticlib-1.0.9-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9767674195

Comment 4 Fedora Update System 2015-11-29 23:52:18 UTC
gifticlib-1.0.9-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gifticlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9767674195

Comment 5 Fedora Update System 2015-12-09 20:50:50 UTC
gifticlib-1.0.9-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.